// python wrapper for vtkMySQLDatabase
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkMySQLDatabase.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMySQLDatabase(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMySQLDatabase(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMySQLDatabaseNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMySQLDatabaseNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSQLDatabaseNew
extern "C" { PyObject *PyVTKClass_vtkSQLDatabaseNew(const char *); }
#define DECLARED_PyVTKClass_vtkSQLDatabaseNew
#endif

static const char **PyvtkMySQLDatabase_Doc();


static PyObject *
PyvtkMySQLDatabase_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkMySQLDatabase::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  vtkMySQLDatabase *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkMySQLDatabase *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkMySQLDatabase::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_Open(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Open");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *temp0 = 0;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0, 1) &&
      (ap.NoArgsLeft() || ap.GetValue(temp0)))
    {
    if (ap.IsBound())
      {
      tempr = op->Open(temp0);
      }
    else
      {
      tempr = op->vtkMySQLDatabase::Open(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_Close(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Close");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Close();
      }
    else
      {
      op->vtkMySQLDatabase::Close();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_IsOpen(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsOpen");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsOpen();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::IsOpen();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetQueryInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetQueryInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  vtkSQLQuery *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetQueryInstance();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetQueryInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetTables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  vtkStringArray *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTables();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetTables();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetRecord(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRecord");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *temp0 = NULL;
  vtkStringArray *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRecord(temp0);
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetRecord(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_IsSupported(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsSupported");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  int temp0;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsSupported(temp0);
      }
    else
      {
      tempr = op->vtkMySQLDatabase::IsSupported(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_HasError(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasError");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->HasError();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::HasError();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetLastErrorText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastErrorText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastErrorText();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetLastErrorText();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetDatabaseType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDatabaseType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDatabaseType();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetDatabaseType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_SetHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHostName(temp0);
      }
    else
      {
      op->vtkMySQLDatabase::SetHostName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHostName();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetHostName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_SetUser(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUser");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUser(temp0);
      }
    else
      {
      op->vtkMySQLDatabase::SetUser(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetUser(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUser");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUser();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetUser();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_SetPassword(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPassword");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPassword(temp0);
      }
    else
      {
      op->vtkMySQLDatabase::SetPassword(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_SetDatabaseName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDatabaseName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDatabaseName(temp0);
      }
    else
      {
      op->vtkMySQLDatabase::SetDatabaseName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetDatabaseName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDatabaseName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDatabaseName();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetDatabaseName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_SetReconnect(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetReconnect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetReconnect(temp0);
      }
    else
      {
      op->vtkMySQLDatabase::SetReconnect(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetReconnect(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReconnect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReconnect();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetReconnect();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_ReconnectOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReconnectOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ReconnectOn();
      }
    else
      {
      op->vtkMySQLDatabase::ReconnectOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_ReconnectOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReconnectOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ReconnectOff();
      }
    else
      {
      op->vtkMySQLDatabase::ReconnectOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_SetServerPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetServerPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetServerPort(temp0);
      }
    else
      {
      op->vtkMySQLDatabase::SetServerPort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetServerPortMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerPortMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServerPortMinValue();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetServerPortMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetServerPortMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerPortMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServerPortMaxValue();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetServerPortMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetServerPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServerPort();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetServerPort();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetURL(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetURL");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  vtkStdString tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetURL();
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetURL();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetTablePreamble(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTablePreamble");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  bool temp0 = false;
  vtkStdString tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTablePreamble(temp0);
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetTablePreamble(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetColumnSpecification(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColumnSpecification");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  vtkSQLDatabaseSchema *temp0 = NULL;
  int temp1;
  int temp2;
  vtkStdString tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSQLDatabaseSchema") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColumnSpecification(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetColumnSpecification(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_GetIndexSpecification(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIndexSpecification");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  vtkSQLDatabaseSchema *temp0 = NULL;
  int temp1;
  int temp2;
  bool temp3;
  vtkStdString tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetVTKObject(temp0, "vtkSQLDatabaseSchema") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIndexSpecification(temp0, temp1, temp2, temp3);
      }
    else
      {
      tempr = op->vtkMySQLDatabase::GetIndexSpecification(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      ap.SetArgValue(3, temp3);
      }
    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_CreateDatabase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateDatabase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *temp0 = NULL;
  bool temp1 = false;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->CreateDatabase(temp0, temp1);
      }
    else
      {
      tempr = op->vtkMySQLDatabase::CreateDatabase(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMySQLDatabase_DropDatabase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DropDatabase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMySQLDatabase *op = static_cast<vtkMySQLDatabase *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->DropDatabase(temp0);
      }
    else
      {
      tempr = op->vtkMySQLDatabase::DropDatabase(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMySQLDatabase_Methods[] = {
  {(char*)"GetClassName", PyvtkMySQLDatabase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMySQLDatabase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMySQLDatabase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMySQLDatabase\nC++: vtkMySQLDatabase *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMySQLDatabase_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMySQLDatabase\nC++: vtkMySQLDatabase *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Open", PyvtkMySQLDatabase_Open, 1,
   (char*)"V.Open(string) -> bool\nC++: bool Open(const char *password=0)\n\nOpen a new connection to the database.  You need to set the\nfilename before calling this function.  Returns true if the\ndatabase was opened successfully; false otherwise.\n"},
  {(char*)"Close", PyvtkMySQLDatabase_Close, 1,
   (char*)"V.Close()\nC++: void Close()\n\nClose the connection to the database.\n"},
  {(char*)"IsOpen", PyvtkMySQLDatabase_IsOpen, 1,
   (char*)"V.IsOpen() -> bool\nC++: bool IsOpen()\n\nReturn whether the database has an open connection\n"},
  {(char*)"GetQueryInstance", PyvtkMySQLDatabase_GetQueryInstance, 1,
   (char*)"V.GetQueryInstance() -> vtkSQLQuery\nC++: vtkSQLQuery *GetQueryInstance()\n\nReturn an empty query on this database.\n"},
  {(char*)"GetTables", PyvtkMySQLDatabase_GetTables, 1,
   (char*)"V.GetTables() -> vtkStringArray\nC++: vtkStringArray *GetTables()\n\nGet the list of tables from the database\n"},
  {(char*)"GetRecord", PyvtkMySQLDatabase_GetRecord, 1,
   (char*)"V.GetRecord(string) -> vtkStringArray\nC++: vtkStringArray *GetRecord(const char *table)\n\nGet the list of fields for a particular table\n"},
  {(char*)"IsSupported", PyvtkMySQLDatabase_IsSupported, 1,
   (char*)"V.IsSupported(int) -> bool\nC++: bool IsSupported(int feature)\n\nReturn whether a feature is supported by the database.\n"},
  {(char*)"HasError", PyvtkMySQLDatabase_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: bool HasError()\n\nDid the last operation generate an error\n"},
  {(char*)"GetLastErrorText", PyvtkMySQLDatabase_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: const char *GetLastErrorText()\n\nGet the last error text from the database\n"},
  {(char*)"GetDatabaseType", PyvtkMySQLDatabase_GetDatabaseType, 1,
   (char*)"V.GetDatabaseType() -> string\nC++: char *GetDatabaseType()\n\nString representing database type (e.g. \"mysql\").\n"},
  {(char*)"SetHostName", PyvtkMySQLDatabase_SetHostName, 1,
   (char*)"V.SetHostName(string)\nC++: void SetHostName(char *)\n\nThe database server host name.\n"},
  {(char*)"GetHostName", PyvtkMySQLDatabase_GetHostName, 1,
   (char*)"V.GetHostName() -> string\nC++: char *GetHostName()\n\nThe database server host name.\n"},
  {(char*)"SetUser", PyvtkMySQLDatabase_SetUser, 1,
   (char*)"V.SetUser(string)\nC++: void SetUser(char *)\n\nThe user name for connecting to the database server.\n"},
  {(char*)"GetUser", PyvtkMySQLDatabase_GetUser, 1,
   (char*)"V.GetUser() -> string\nC++: char *GetUser()\n\nThe user name for connecting to the database server.\n"},
  {(char*)"SetPassword", PyvtkMySQLDatabase_SetPassword, 1,
   (char*)"V.SetPassword(string)\nC++: void SetPassword(char *)\n\nThe user's password for connecting to the database server.\n"},
  {(char*)"SetDatabaseName", PyvtkMySQLDatabase_SetDatabaseName, 1,
   (char*)"V.SetDatabaseName(string)\nC++: void SetDatabaseName(char *)\n\nThe name of the database to connect to.\n"},
  {(char*)"GetDatabaseName", PyvtkMySQLDatabase_GetDatabaseName, 1,
   (char*)"V.GetDatabaseName() -> string\nC++: char *GetDatabaseName()\n\nThe name of the database to connect to.\n"},
  {(char*)"SetReconnect", PyvtkMySQLDatabase_SetReconnect, 1,
   (char*)"V.SetReconnect(int)\nC++: void SetReconnect(int a)\n\nShould automatic reconnection be enabled? This defaults to true.\nIf you change its value, you must do so before any call to\nOpen().\n"},
  {(char*)"GetReconnect", PyvtkMySQLDatabase_GetReconnect, 1,
   (char*)"V.GetReconnect() -> int\nC++: int GetReconnect()\n\nShould automatic reconnection be enabled? This defaults to true.\nIf you change its value, you must do so before any call to\nOpen().\n"},
  {(char*)"ReconnectOn", PyvtkMySQLDatabase_ReconnectOn, 1,
   (char*)"V.ReconnectOn()\nC++: void ReconnectOn()\n\nShould automatic reconnection be enabled? This defaults to true.\nIf you change its value, you must do so before any call to\nOpen().\n"},
  {(char*)"ReconnectOff", PyvtkMySQLDatabase_ReconnectOff, 1,
   (char*)"V.ReconnectOff()\nC++: void ReconnectOff()\n\nShould automatic reconnection be enabled? This defaults to true.\nIf you change its value, you must do so before any call to\nOpen().\n"},
  {(char*)"SetServerPort", PyvtkMySQLDatabase_SetServerPort, 1,
   (char*)"V.SetServerPort(int)\nC++: void SetServerPort(int)\n\nThe port used for connecting to the database.\n"},
  {(char*)"GetServerPortMinValue", PyvtkMySQLDatabase_GetServerPortMinValue, 1,
   (char*)"V.GetServerPortMinValue() -> int\nC++: int GetServerPortMinValue()\n\nThe port used for connecting to the database.\n"},
  {(char*)"GetServerPortMaxValue", PyvtkMySQLDatabase_GetServerPortMaxValue, 1,
   (char*)"V.GetServerPortMaxValue() -> int\nC++: int GetServerPortMaxValue()\n\nThe port used for connecting to the database.\n"},
  {(char*)"GetServerPort", PyvtkMySQLDatabase_GetServerPort, 1,
   (char*)"V.GetServerPort() -> int\nC++: int GetServerPort()\n\nThe port used for connecting to the database.\n"},
  {(char*)"GetURL", PyvtkMySQLDatabase_GetURL, 1,
   (char*)"V.GetURL() -> string\nC++: virtual vtkStdString GetURL()\n\nGet the URL of the database.\n"},
  {(char*)"GetTablePreamble", PyvtkMySQLDatabase_GetTablePreamble, 1,
   (char*)"V.GetTablePreamble(bool) -> string\nC++: virtual vtkStdString GetTablePreamble(bool b)\n\nReturn the SQL string with the syntax of the preamble following a \"CREATE\nTABLE\" SQL statement. NB: this method implements the\nMySQL-specific IF NOT EXISTS syntax, used when b = false.\n"},
  {(char*)"GetColumnSpecification", PyvtkMySQLDatabase_GetColumnSpecification, 1,
   (char*)"V.GetColumnSpecification(vtkSQLDatabaseSchema, int, int) -> string\nC++: virtual vtkStdString GetColumnSpecification(\n    vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle)\n\nReturn the SQL string with the syntax to create a column inside a \"CREATE\nTABLE\" SQL statement. NB1: this method implements the\nMySQL-specific syntax:\n `<column name>` <column type> <column attributes>\n  NB2: if a column has type SERIAL in the schema, this will be\nturned into INT NOT NULL AUTO_INCREMENT. Therefore, one should\nnot pass NOT NULL as an attribute of a column whose type is\nSERIAL.\n"},
  {(char*)"GetIndexSpecification", PyvtkMySQLDatabase_GetIndexSpecification, 1,
   (char*)"V.GetIndexSpecification(vtkSQLDatabaseSchema, int, int, bool)\n    -> string\nC++: virtual vtkStdString GetIndexSpecification(\n    vtkSQLDatabaseSchema *schema, int tblHandle, int idxHandle,\n    bool &skipped)\n\nReturn the SQL string with the syntax to create an index inside a \"CREATE\nTABLE\" SQL statement. NB1: this method implements the\nMySQL-specific syntax:\n <index type> [<index name>]  (`<column name 1>`,... )\n  NB2: since MySQL supports INDEX creation within a CREATE TABLE\nstatement, skipped is always returned false.\n"},
  {(char*)"CreateDatabase", PyvtkMySQLDatabase_CreateDatabase, 1,
   (char*)"V.CreateDatabase(string, bool) -> bool\nC++: bool CreateDatabase(const char *dbName, bool dropExisting)\n\nCreate a new database, optionally dropping any existing database\nof the same name. Returns true when the database is properly\ncreated and false on failure.\n"},
  {(char*)"DropDatabase", PyvtkMySQLDatabase_DropDatabase, 1,
   (char*)"V.DropDatabase(string) -> bool\nC++: bool DropDatabase(const char *dbName)\n\nDrop a database if it exists. Returns true on success and false\non failure.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMySQLDatabase_StaticNew()
{
  return vtkMySQLDatabase::New();
}

PyObject *PyVTKClass_vtkMySQLDatabaseNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMySQLDatabase_StaticNew,
    PyvtkMySQLDatabase_Methods,
    "vtkMySQLDatabase", modulename,
    NULL, NULL,
    PyvtkMySQLDatabase_Doc(),
    PyVTKClass_vtkSQLDatabaseNew(modulename));
  return cls;
}

const char **PyvtkMySQLDatabase_Doc()
{
  static const char *docstring[] = {
    "vtkMySQLDatabase - maintain a connection to a MySQL database\n\n",
    "Superclass: vtkSQLDatabase\n\n",
    "This class provides a VTK interface to MySQL (http://www.mysql.com). \nUnlike file-based databases like SQLite, you talk to MySQL through a\nclient/server connection.  You must specify the hostname, (optional)\nport to connect to, username, password and database name in order to\nconnect.\n\nSee Also:\n\nvtkMySQLQuery\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMySQLDatabase(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMySQLDatabaseNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMySQLDatabase", o) != 0)
    {
    Py_DECREF(o);
    }

}

